Bullet Collision Detection & Physics Library: btVector4 Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | List of all members
btVector4 Class Reference

`#include <btVector3.h>`

Inheritance diagram for btVector4:
[legend]
Collaboration diagram for btVector4:
[legend]

## Public Member Functions
| btVector4 ()
| btVector4 (const btScalar &_x, const btScalar &_y, const btScalar &_z, const btScalar &_w)
btVector4 | absolute4 () const
btScalar | getW () const
int | maxAxis4 () const
int | minAxis4 () const
int | closestAxis4 () const
void | setValue (const btScalar &_x, const btScalar &_y, const btScalar &_z, const btScalar &_w)
| Set x,y,z and zero w. More...
Public Member Functions inherited from btVector3
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btVector3 ()
| No initialization constructor. More...
| btVector3 (const btScalar &_x, const btScalar &_y, const btScalar &_z)
| Constructor from scalars. More...
btVector3 & | operator+= (const btVector3 &v)
| Add a vector to this one. More...
btVector3 & | operator-= (const btVector3 &v)
| Subtract a vector from this one. More...
btVector3 & | operator*= (const btScalar &s)
| Scale the vector. More...
btVector3 & | operator/= (const btScalar &s)
| Inversely scale the vector. More...
btScalar | dot (const btVector3 &v) const
| Return the dot product. More...
btScalar | length2 () const
| Return the length of the vector squared. More...
btScalar | length () const
| Return the length of the vector. More...
btScalar | norm () const
| Return the norm (length) of the vector. More...
btScalar | safeNorm () const
| Return the norm (length) of the vector. More...
btScalar | distance2 (const btVector3 &v) const
| Return the distance squared between the ends of this and another vector This is symantically treating the vector like a point. More...
btScalar | distance (const btVector3 &v) const
| Return the distance between the ends of this and another vector This is symantically treating the vector like a point. More...
btVector3 & | safeNormalize ()
btVector3 & | normalize ()
| Normalize this vector x^2 + y^2 + z^2 = 1. More...
btVector3 | normalized () const
| Return a normalized version of this vector. More...
btVector3 | rotate (const btVector3 &wAxis, const btScalar angle) const
| Return a rotated version of this vector. More...
btScalar | angle (const btVector3 &v) const
| Return the angle between this and another vector. More...
btVector3 | absolute () const
| Return a vector with the absolute values of each element. More...
btVector3 | cross (const btVector3 &v) const
| Return the cross product between this and another vector. More...
btScalar | triple (const btVector3 &v1, const btVector3 &v2) const
int | minAxis () const
| Return the axis with the smallest value Note return values are 0,1,2 for x, y, or z. More...
int | maxAxis () const
| Return the axis with the largest value Note return values are 0,1,2 for x, y, or z. More...
int | furthestAxis () const
int | closestAxis () const
void | setInterpolate3 (const btVector3 &v0, const btVector3 &v1, btScalar rt)
btVector3 | lerp (const btVector3 &v, const btScalar &t) const
| Return the linear interpolation between this and another vector. More...
btVector3 & | operator*= (const btVector3 &v)
| Elementwise multiply this vector by the other. More...
const btScalar & | getX () const
| Return the x value. More...
const btScalar & | getY () const
| Return the y value. More...
const btScalar & | getZ () const
| Return the z value. More...
void | setX (btScalar _x)
| Set the x value. More...
void | setY (btScalar _y)
| Set the y value. More...
void | setZ (btScalar _z)
| Set the z value. More...
void | setW (btScalar _w)
| Set the w value. More...
const btScalar & | x () const
| Return the x value. More...
const btScalar & | y () const
| Return the y value. More...
const btScalar & | z () const
| Return the z value. More...
const btScalar & | w () const
| Return the w value. More...
| operator btScalar * ()
| operator btScalar*() replaces operator[], using implicit conversion. We added operator != and operator == to avoid pointer comparisons. More...
| operator const btScalar * () const
bool | operator== (const btVector3 &other) const
bool | operator!= (const btVector3 &other) const
void | setMax (const btVector3 &other)
| Set each element to the max of the current values and the values of another btVector3. More...
void | setMin (const btVector3 &other)
| Set each element to the min of the current values and the values of another btVector3. More...
void | setValue (const btScalar &_x, const btScalar &_y, const btScalar &_z)
void | getSkewSymmetricMatrix (btVector3 *v0, btVector3 *v1, btVector3 *v2) const
void | setZero ()
bool | isZero () const
bool | fuzzyZero () const
void | serialize (struct btVector3Data &dataOut) const
void | deSerialize (const struct btVector3DoubleData &dataIn)
void | deSerialize (const struct btVector3FloatData &dataIn)
void | serializeFloat (struct btVector3FloatData &dataOut) const
void | deSerializeFloat (const struct btVector3FloatData &dataIn)
void | serializeDouble (struct btVector3DoubleData &dataOut) const
void | deSerializeDouble (const struct btVector3DoubleData &dataIn)
long | maxDot (const btVector3 *array, long array_count, btScalar &dotOut) const
| returns index of maximum dot product between this and vectors in array[] More...
long | minDot (const btVector3 *array, long array_count, btScalar &dotOut) const
| returns index of minimum dot product between this and vectors in array[] More...
btVector3 | dot3 (const btVector3 &v0, const btVector3 &v1, const btVector3 &v2) const

## Additional Inherited Members
Public Attributes inherited from btVector3
btScalar | m_floats [4]

## Detailed Description

Definition at line 1073 of file btVector3.h.

## Constructor & Destructor Documentation

## ◆ btVector4() [1/2]

btVector4::btVector4 | ( |  | ) |
| inline

Definition at line 1076 of file btVector3.h.

## ◆ btVector4() [2/2]

btVector4::btVector4 | ( | const btScalar & | _x,
|  | const btScalar & | _y,
|  | const btScalar & | _z,
|  | const btScalar & | _w
| ) |  |
| inline

Definition at line 1078 of file btVector3.h.

## Member Function Documentation

## ◆ absolute4()

btVector4 btVector4::absolute4 | ( |  | ) | const
| inline

Definition at line 1103 of file btVector3.h.

## ◆ closestAxis4()

int btVector4::closestAxis4 | ( |  | ) | const
| inline

Definition at line 1174 of file btVector3.h.

## ◆ getW()

btScalar btVector4::getW | ( |  | ) | const
| inline

Definition at line 1118 of file btVector3.h.

## ◆ maxAxis4()

int btVector4::maxAxis4 | ( |  | ) | const
| inline

Definition at line 1120 of file btVector3.h.

## ◆ minAxis4()

int btVector4::minAxis4 | ( |  | ) | const
| inline

Definition at line 1147 of file btVector3.h.

## ◆ setValue()

void btVector4::setValue | ( | const btScalar & | _x,
|  | const btScalar & | _y,
|  | const btScalar & | _z,
|  | const btScalar & | _w
| ) |  |
| inline

Set x,y,z and zero w.

Parameters

  x | Value of x
  y | Value of y
  z | Value of z

Set the values

Parameters

  x | Value of x
  y | Value of y
  z | Value of z
  w | Value of w

Definition at line 1198 of file btVector3.h.

The documentation for this class was generated from the following file:

- btVector3.h